%define upstream_name    ParseLex
%define upstream_version 2.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Generator of lexical analyzers 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PV/PVERD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Parse::Template) >= 3.40.0
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(integer)
BuildArch:  noarch

Obsoletes:  perl-Parse-Lex

%description
The Parse::Lex.pm module for perl5 is an object-oriented generator of
lexical analyzers.

This distribution includes Parse::YYLex (written by Vladimir Alexiev)
a lexer generator that you can use with yacc parsers.

A collection of examples demonstrating various
Parse::Lex/Parse::LevEvent features can be found in the "examples"
directory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# make test won't work...
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README VERSION examples
%{perl_vendorlib}/Parse
%{_mandir}/*/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 2.210.0-10.mga9
+ Revision: 1805039
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.210.0-9.mga8
+ Revision: 1496368
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.210.0-8.mga7
+ Revision: 1270416
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.210.0-7.mga6
+ Revision: 1031716
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 2.210.0-6.mga6
+ Revision: 930279
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.210.0-5.mga5
+ Revision: 742350
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.210.0-4.mga5
+ Revision: 685903
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.210.0-3.mga4
+ Revision: 514039
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.210.0-2.mga3
+ Revision: 371548
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 05 2012 jquelin <jquelin> 2.210.0-1.mga2
+ Revision: 191256
- update to 2.21

* Fri Jan 21 2011 jquelin <jquelin> 2.200.0-1.mga1
+ Revision: 28719
- mageia rebuild
- imported package perl-ParseLex


* Mon Aug 16 2010 Jérôme Quelin <jquelin@mandriva.org> 2.200.0-1mdv2011.0
+ Revision: 570553
- update to 2.20

* Sat Mar 27 2010 Jérôme Quelin <jquelin@mandriva.org> 2.190.0-2mdv2011.0
+ Revision: 528236
- adding missing buildrequires:
- rebuild
- update to 2.19
- update to 2.18

* Sun Feb 28 2010 Jérôme Quelin <jquelin@mandriva.org> 2.180.0-1mdv2010.1
+ Revision: 512598
- update to 2.18

* Mon Jan 11 2010 Jérôme Quelin <jquelin@mandriva.org> 2.170.0-1mdv2010.1
+ Revision: 489642
- update to 2.17

* Mon Dec 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.150.0-2mdv2010.1
+ Revision: 474512
- no tabs in spec file
- fix package name
- package renaming according to perl packaging policvy
- rename the package to perl-ParseLex, as perl perl packaging policy
- fix package naming

  + Jérôme Quelin <jquelin@mandriva.org>
    - renamed package to perl-Parse-Lex
    - renamed perl-ParseLex to perl-Parse-Lex

* Sat Jul 25 2009 Jérôme Quelin <jquelin@mandriva.org> 2.150.0-1mdv2010.0
+ Revision: 399727
- forgot to change real rpm name
- renamed package perl-ParseLex to perl-Parse-Lex
- renamed package to perl-Parse-Lex to follow mandriva conventions (yes,
  author is brain-dead)
- using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.15-5mdv2009.0
+ Revision: 258191
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.15-4mdv2009.0
+ Revision: 246269
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.15-2mdv2008.1
+ Revision: 136330
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.15-2mdv2008.0
+ Revision: 86785
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 2.15-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.15-1mdk
- initial Mandriva package

